This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 74947 - xfs restart causes font server to hang
xfs restart causes font server to hang
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-02 19:59 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-02 19:59:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-02 19:59:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
If the xfs server is restarted,
/sbin/service xfs restart
then the font server hangs, i.e. running xlsfonts says that pattern "*" is
unmatched.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.su
2./sbin/service xfs restart
3.xlsfonts
	

Actual Results:  pattern "*" unmatched

Expected Results:  list of installed fonts

Additional info:

Seems to fix itself after loginning out and then back in again.
Comment 1 Mike A. Harris 2002-10-03 06:02:15 EDT
Wrong command...  service xfs restart

The proper way, is to do:  service xfs reload

"restart" means "stop xfs entirely, then start it up again", and that
causes the xfs<->XFree86 connection to be broken, and fonts no longer
work.

"reload" on the other hand means "xfs, please reread your configuration
and try to pick up my changes".

Closing as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.